summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-08-22 06:26:27 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-08-22 06:26:27 +0200
commit90f063cdaa362277b19eac3d3e3ebeb6227b4da3 (patch)
tree58f05de6554dd97a6afffada929aa5402dab2117 /scripts
parentf41e4877defd5be85457121c5fd9b923a943d8ed (diff)
parent432ae1a94f4d543da3aa2ed226cd3c00e350e3c4 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-tools.sh10
-rwxr-xr-xscripts/update-sys2
2 files changed, 9 insertions, 3 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 8834940c7..4ffe44649 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -112,8 +112,14 @@ if ! which gzip >/dev/null 2>&1; then
out=1
fi
-if ! which lzma >/dev/null 2>&1 && ! which xz >/dev/null 2>&1; then
- echo You must install lzma or xz-utils to continue.
+if ! which lzma >/dev/null 2>&1; then
+ echo You must install lzma to continue.
+ echo
+ out=1
+fi
+
+if ! which xz >/dev/null 2>&1; then
+ echo You must install xz-utils to continue.
echo
out=1
fi
diff --git a/scripts/update-sys b/scripts/update-sys
index bcfbfa84e..268184428 100755
--- a/scripts/update-sys
+++ b/scripts/update-sys
@@ -50,7 +50,7 @@ config $archsym
EOF
if [ "${system}" = "toolchain" -o "${system}" = "qemu" ];then
- sys=${system}-$cpuarch
+ sys=${system}-$arch
else
sys=$system
fi